<input type="text"  id="etbcity-id{{ inputId }}" ng-model="value.name" autocomplete="off" class="form-control" placeholder="{{config.placeholder}}" ng-click="showPanel(value.name)" ng-change="searchCity(value.name)">
<div class="etb-city-body">
    <div class="etb-city" ng-show="isShow('selectPanel')">
        <tabset justified="true">
            <tab heading="热门城市">
                <div class="hot-city-tab">
                    <div class="etb-city-panel">
                        <header><span class="title">国内热门</span></header>
                        <ul class="row list-style-none host-city-ul">
                            <li class="col-md-2" ng-repeat="chinaCity in chinaHotCities">
                                <a title="{{chinaCity.name}}" ng-click="onSelect(chinaCity)">{{chinaCity.name}}</a>
                            </li>
                        </ul>
                        <header><span class="title">国际热门</span></header>
                        <ul class="row list-style-none host-city-ul">
                            <li class="col-md-2" ng-repeat="abroadCity in abroadHotCities">
                                <a title="{{abroadCity.name}}" ng-click="onSelect(abroadCity)">{{abroadCity.name}}</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </tab>
            <tab heading="国内城市" ng-click="showCitise(PLATES.CHINA, currentTab['china']['index'], 'china', currentTab['china']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.CHINA, 'china', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.CHINA, 'china', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.CHINA, 'china', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.CHINA, 'china', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.CHINA, 'china', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.CHINA, 'china', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['china']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.CHINA, 'china', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="chinaCity in citiesCollection.china">
                            <li class="col-md-1 city-index">
                                {{ chinaCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in chinaCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>
            <tab heading="亚洲" ng-click="showCitise(PLATES.ASIA, currentTab['asia']['index'], 'asia', currentTab['asia']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.ASIA, 'asia', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.ASIA, 'asia', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.ASIA, 'asia', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.ASIA, 'asia', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.ASIA, 'asia', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.ASIA, 'asia', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['asia']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.ASIA, 'asia', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="asiaCity in citiesCollection.asia">
                            <li class="col-md-1">
                                {{ asiaCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in asiaCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>
            <tab heading="欧洲" ng-click="showCitise(PLATES.EUROPE, currentTab['europe']['index'], 'europe', currentTab['europe']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.EUROPE, 'europe', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.EUROPE, 'europe', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.EUROPE, 'europe', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.EUROPE, 'europe', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.EUROPE, 'europe', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.EUROPE, 'europe', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['europe']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.EUROPE, 'europe', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="europeCity in citiesCollection.europe">
                            <li class="col-md-1">
                                {{ europeCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in europeCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>
            <tab heading="美洲" ng-click="showCitise(PLATES.AMERICA, currentTab['america']['index'], 'america', currentTab['america']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.AMERICA, 'america', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.AMERICA, 'america', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.AMERICA, 'america', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.AMERICA, 'america', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.AMERICA, 'america', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.AMERICA, 'america', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['america']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.AMERICA, 'america', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="americaCity in citiesCollection.america">
                            <li class="col-md-1">
                                {{ americaCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in americaCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>
            <tab heading="非洲" ng-click="showCitise(PLATES.AFRICA, currentTab['africa']['index'], 'africa', currentTab['africa']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.AFRICA, 'africa', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.AFRICA, 'africa', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.AFRICA, 'africa', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.AFRICA, 'africa', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.AFRICA, 'africa', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.AFRICA, 'africa', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['africa']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.AFRICA, 'africa', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="africaCity in citiesCollection.africa">
                            <li class="col-md-1">
                                {{ africaCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in africaCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>        
            <tab heading="大洋洲" ng-click="showCitise(PLATES.GREATAMERICA, currentTab['greatAmerica']['index'], 'greatAmerica', currentTab['greatAmerica']['cacheIndex'])">
                <div>
                    <header>
                        <ul class="index-ul list-style-none p0">
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.FIRST }" ng-click="switchTab(INDEXSTR.FIRST, PLATES.GREATAMERICA, 'greatAmerica', 'A')">
                                <span>ABCD</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.SECOND }" ng-click="switchTab(INDEXSTR.SECOND, PLATES.GREATAMERICA, 'greatAmerica', 'E')">
                                <span>EFGH</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.THIRD }" ng-click="switchTab(INDEXSTR.THIRD, PLATES.GREATAMERICA, 'greatAmerica', 'I')"> 
                                <span>IJKL</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.FOURTH }" ng-click="switchTab(INDEXSTR.FOURTH, PLATES.GREATAMERICA, 'greatAmerica', 'M')">
                                <span>MNOP</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.FIFTH }" ng-click="switchTab(INDEXSTR.FIFTH, PLATES.GREATAMERICA, 'greatAmerica', 'Q')">
                                <span>QRST</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.SIXTH }" ng-click="switchTab(INDEXSTR.SIXTH, PLATES.GREATAMERICA, 'greatAmerica', 'U')">
                                <span>UVWX</span>
                            </li>
                            <li ng-class="{'active': currentTab['greatAmerica']['index'] === INDEXSTR.SEVENTH }" ng-click="switchTab(INDEXSTR.SEVENTH, PLATES.GREATAMERICA, 'greatAmerica', 'Y')">
                                <span>YZ</span>
                            </li>
                        </ul>
                    </header>
                    <ul class="row list-style-none city-name-ul">
                        <div ng-repeat="greatAmericaCity in citiesCollection.greatAmerica">
                            <li class="col-md-1">
                                {{ greatAmericaCity.index }}
                            </li>
                            <ul class="col-md-11">
                                <li class="col-md-2" ng-repeat="city in greatAmericaCity.cities">
                                    <a title="{{ city.name }}" ng-click="onSelect(city)">{{ city.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </div>
            </tab>
        </tabset>
    </div>
    <div class="select-parent-panel" ng-show="isShow('searchPanel')">
    <div class="select-etb-city-panel form-control" >
        <span ng-repeat="searchCity in searchCities" title="{{searchCity.showname}}"  ng-click="onSelect(searchCity)">{{searchCity.showname}}</span>
    </div>
    </div>
</div>
